local mod = RW:Boss("Magmaw", "Blackwing Descent")
local L

mod.BossIcon = [[Interface\ICONS\ability_hunter_pet_worm]]

---------------------------
-- Variables

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(41570)
	self:SetWin()
	
	-- Lava Spew
	self:RegisterAlert("wSpew", self:CastWarning(77689))
	self:RegisterAlert("tSpew", self:CDTimer(26, 77689))
	
	-- Pillar of Flame 78006
	-- Molten Tantrum 78403
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Spew", 77689, 77839)
end

function mod:Spew(event, args)
	if event == "SPELL_AURA_APPLIED" then
		self:Call("wSpew", "Show")
		self:Call("tSpew", "Start")
	end
end

